Bug 800868 - add package for "unp" script (like Ubuntu has)
Summary: add package for "unp" script (like Ubuntu has)
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution   
(Show other bugs)
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-07 12:24 UTC by mnemo
Modified: 2014-03-17 03:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 16:54:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mnemo 2012-03-07 12:24:32 UTC
In Ubuntu you can do "sudo apt-get install unp" to get a very nice tool that can unpack any type of archive. This means that you can type:

unp filename.ext

without having to worry about the specific compression format use (i.e. ext == ".tgz" or ".bz2" etc etc).

unp file1.tgz
unp file2.bz2
unp file3.tar.gz

...all of these work well. Please add an "unp" package to fedora as well.

Comment 1 Bill Nottingham 2012-03-07 16:54:24 UTC
We don't add new software without willing maintainers - we certainly appreciate new maintainers that want to help, though.

If you're interested in packaging this software for Fedora, please see the instructions at:
   https://fedoraproject.org/wiki/Join#OS_Developer

I've also added this request to the wishlist at:
   https://fedoraproject.org/wiki/Package_maintainers_wishlist

Closing as DEFERRED until someone picks up the request.

Comment 3 Jan Pokorný [poki] 2013-11-21 12:58:21 UTC
@mnemo:
note that there is a handful of utilities with the same purpose, see, e.g.,
atool (and its aunpack command), which is packaged in Fedora


Note You need to log in before you can comment on or make changes to this bug.